{
  "info": {
    "name": "Strait API",
    "description": "The Strait REST API. Set secretKey (Dashboard → Settings → Keys: https://app.straitlink.in/settings#keys) and publishableKey (Dashboard → Setup → Your keys: https://app.straitlink.in/setup#keys) in the collection variables. Docs: https://straitlink.in/docs/api/",
    "schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json"
  },
  "variable": [
    {
      "key": "baseUrl",
      "value": "https://strait.link"
    },
    {
      "key": "secretKey",
      "value": "st_live_…"
    },
    {
      "key": "publishableKey",
      "value": "st_pub_live_…"
    }
  ],
  "item": [
    {
      "name": "Links (secret key)",
      "item": [
        {
          "name": "List links (GET /v1/links)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/links",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "links"
              ]
            },
            "description": "List links. Docs: https://straitlink.in/docs/api/list-links/"
          }
        },
        {
          "name": "Create a link (POST /v1/links)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/links",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "links"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"slug\": \"summer\",\n  \"longUrl\": \"https://shop.example.com/sale/summer?utm_source=whatsapp&utm_campaign=summer-2026\",\n  \"title\": \"Summer sale\",\n  \"tags\": [\n    \"sale\"\n  ]\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Create a link. Docs: https://straitlink.in/docs/api/create-link/"
          }
        },
        {
          "name": "Create up to 500 links in one call (POST /v1/links/batch)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/links/batch",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "links",
                "batch"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"links\": [\n    {\n      \"slug\": \"summer\",\n      \"longUrl\": \"https://shop.example.com/sale/summer?utm_source=whatsapp&utm_campaign=summer-2026\"\n    },\n    {\n      \"slug\": \"winter\",\n      \"longUrl\": \"https://shop.example.com/sale/winter\"\n    }\n  ]\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Create up to 500 links in one call. Docs: https://straitlink.in/docs/api/batch-create-links/"
          }
        },
        {
          "name": "Get a link (GET /v1/links/{slug})",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/links/:slug",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "links",
                ":slug"
              ],
              "variable": [
                {
                  "key": "slug",
                  "value": "summer",
                  "description": "The link's slug: the part after your link domain, e.g. `summer`"
                }
              ]
            },
            "description": "Get a link. Docs: https://straitlink.in/docs/api/get-link/"
          }
        },
        {
          "name": "Update a link (PATCH /v1/links/{slug})",
          "request": {
            "method": "PATCH",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/links/:slug",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "links",
                ":slug"
              ],
              "variable": [
                {
                  "key": "slug",
                  "value": "summer",
                  "description": "The link's slug: the part after your link domain, e.g. `summer`"
                }
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"longUrl\": \"https://shop.example.com/sale/summer-v2\",\n  \"expiresAt\": \"2026-12-31T23:59:59Z\"\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Update a link. Docs: https://straitlink.in/docs/api/update-link/"
          }
        },
        {
          "name": "Deactivate a link (DELETE /v1/links/{slug})",
          "request": {
            "method": "DELETE",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/links/:slug",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "links",
                ":slug"
              ],
              "variable": [
                {
                  "key": "slug",
                  "value": "summer",
                  "description": "The link's slug: the part after your link domain, e.g. `summer`"
                }
              ]
            },
            "description": "Deactivate a link. Docs: https://straitlink.in/docs/api/deactivate-link/"
          }
        },
        {
          "name": "Get a branded QR code for a link (GET /v1/links/{slug}/qr)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/links/:slug/qr?format=png&size=1024",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "links",
                ":slug",
                "qr"
              ],
              "query": [
                {
                  "key": "format",
                  "value": "png"
                },
                {
                  "key": "size",
                  "value": "1024"
                }
              ],
              "variable": [
                {
                  "key": "slug",
                  "value": "summer",
                  "description": "The link's slug: the part after your link domain, e.g. `summer`"
                }
              ]
            },
            "description": "Get a branded QR code for a link. Docs: https://straitlink.in/docs/api/get-link-qr/"
          }
        },
        {
          "name": "Download every QR code of a campaign as one ZIP (GET /v1/qr.zip)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/qr.zip?campaign=value",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "qr.zip"
              ],
              "query": [
                {
                  "key": "campaign",
                  "value": "value"
                }
              ]
            },
            "description": "Download every QR code of a campaign as one ZIP. Docs: https://straitlink.in/docs/api/get-campaign-qr-zip/"
          }
        }
      ]
    },
    {
      "name": "Analytics (secret key)",
      "item": [
        {
          "name": "Read analytics (GET /v1/analytics)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/analytics",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "analytics"
              ]
            },
            "description": "Read analytics. Docs: https://straitlink.in/docs/api/get-analytics/"
          }
        },
        {
          "name": "Read the referral report (GET /v1/referrals)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/referrals",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "referrals"
              ]
            },
            "description": "Read the referral report. Docs: https://straitlink.in/docs/api/get-referrals/"
          }
        }
      ]
    },
    {
      "name": "Export (secret key)",
      "item": [
        {
          "name": "Export everything (GET /v1/export)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/export?part=links",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "export"
              ],
              "query": [
                {
                  "key": "part",
                  "value": "links"
                }
              ]
            },
            "description": "Export everything. Docs: https://straitlink.in/docs/api/export/"
          }
        },
        {
          "name": "Get a one-time export download link (POST /v1/export/token)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/export/token",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "export",
                "token"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"part\": \"taps\",\n  \"from\": \"2026-09-01\",\n  \"to\": \"2026-10-01\"\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Get a one-time export download link. Docs: https://straitlink.in/docs/api/create-export-token/"
          }
        }
      ]
    },
    {
      "name": "Webhooks (secret key)",
      "item": [
        {
          "name": "Send a test event to a webhook (POST /v1/webhooks/{id}/test)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/webhooks/:id/test",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "webhooks",
                ":id",
                "test"
              ],
              "variable": [
                {
                  "key": "id",
                  "value": "<webhook id>",
                  "description": "The webhook id (Dashboard → Settings → Webhooks)"
                }
              ]
            },
            "description": "Send a test event to a webhook. Docs: https://straitlink.in/docs/api/test-webhook/"
          }
        },
        {
          "name": "List a webhook's deliveries (GET /v1/webhooks/{id}/deliveries)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/webhooks/:id/deliveries",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "webhooks",
                ":id",
                "deliveries"
              ],
              "variable": [
                {
                  "key": "id",
                  "value": "<webhook id>",
                  "description": "The webhook id"
                }
              ]
            },
            "description": "List a webhook's deliveries. Docs: https://straitlink.in/docs/api/list-webhook-deliveries/"
          }
        },
        {
          "name": "Redeliver a webhook delivery (POST /v1/webhook-deliveries/{id}/redeliver)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/webhook-deliveries/:id/redeliver",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "webhook-deliveries",
                ":id",
                "redeliver"
              ],
              "variable": [
                {
                  "key": "id",
                  "value": "<webhook id>",
                  "description": "The delivery id (from the deliveries list)"
                }
              ]
            },
            "description": "Redeliver a webhook delivery. Docs: https://straitlink.in/docs/api/redeliver-webhook-delivery/"
          }
        }
      ]
    },
    {
      "name": "Custom domains (secret key)",
      "item": [
        {
          "name": "List the workspace's custom domains (GET /v1/domains)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/domains",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "domains"
              ]
            },
            "description": "List the workspace's custom domains. Docs: https://straitlink.in/docs/api/list-domains/"
          }
        },
        {
          "name": "Add a custom domain (POST /v1/domains)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/domains",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "domains"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"hostname\": \"links.hilltop.example\"\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Add a custom domain. Docs: https://straitlink.in/docs/api/add-domain/"
          }
        },
        {
          "name": "Remove a custom domain (DELETE /v1/domains/{hostname})",
          "request": {
            "method": "DELETE",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/domains/:hostname",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "domains",
                ":hostname"
              ],
              "variable": [
                {
                  "key": "hostname",
                  "value": "",
                  "description": "The domain to remove"
                }
              ]
            },
            "description": "Remove a custom domain. Docs: https://straitlink.in/docs/api/remove-domain/"
          }
        }
      ]
    },
    {
      "name": "Testing (secret key)",
      "item": [
        {
          "name": "Read the journey funnel (GET /v1/funnel)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/funnel",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "funnel"
              ]
            },
            "description": "Read the journey funnel. Docs: https://straitlink.in/docs/api/get-funnel/"
          }
        },
        {
          "name": "List taps (GET /v1/taps)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/taps",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "taps"
              ]
            },
            "description": "List taps. Docs: https://straitlink.in/docs/api/list-taps/"
          }
        },
        {
          "name": "List conversion events (GET /v1/events)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/events",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "events"
              ]
            },
            "description": "List conversion events. Docs: https://straitlink.in/docs/api/list-events/"
          }
        },
        {
          "name": "Read this month's usage (GET /v1/usage)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/usage",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "usage"
              ]
            },
            "description": "Read this month's usage. Docs: https://straitlink.in/docs/api/get-usage/"
          }
        },
        {
          "name": "Who this key is (GET /v1/workspace)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/workspace",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "workspace"
              ]
            },
            "description": "Who this key is. Docs: https://straitlink.in/docs/api/get-workspace/"
          }
        },
        {
          "name": "Read the app setup (GET /v1/app)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/app",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "app"
              ]
            },
            "description": "Read the app setup. Docs: https://straitlink.in/docs/api/get-app-setup/"
          }
        },
        {
          "name": "Check the app integration (GET /v1/app/verify)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/app/verify",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "app",
                "verify"
              ]
            },
            "description": "Check the app integration. Docs: https://straitlink.in/docs/api/verify-app-setup/"
          }
        },
        {
          "name": "Dry-run a tap (GET /v1/simulate)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "bearer",
              "bearer": [
                {
                  "key": "token",
                  "value": "{{secretKey}}",
                  "type": "string"
                }
              ]
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/simulate?url=https%3A%2F%2Fhilltop.strait.link%2Fsummer&ua=iphone",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "simulate"
              ],
              "query": [
                {
                  "key": "url",
                  "value": "https://hilltop.strait.link/summer"
                },
                {
                  "key": "ua",
                  "value": "iphone"
                }
              ]
            },
            "description": "Dry-run a tap (playground). Docs: https://straitlink.in/docs/api/simulate-tap/"
          }
        }
      ]
    },
    {
      "name": "App and website (publishable key)",
      "item": [
        {
          "name": "Deferred-match lookup (POST /v1/match)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "noauth"
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/match",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "match"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"publishableKey\": \"{{publishableKey}}\",\n  \"platform\": \"ios\",\n  \"screenWidth\": 393,\n  \"pixelRatio\": 3,\n  \"language\": \"en-IN\",\n  \"timezone\": \"Asia/Kolkata\"\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Deferred-match lookup (first app open after an install). Docs: https://straitlink.in/docs/api/match-install/"
          }
        },
        {
          "name": "iPhone paste handoff (opt-in): claim a one-time handoff token (POST /v1/handoff/claim)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "noauth"
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/handoff/claim",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "handoff",
                "claim"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"publishableKey\": \"{{publishableKey}}\",\n  \"token\": \"Qm9yZWFsaXMtaGFuZG9mZg\",\n  \"platform\": \"ios\",\n  \"openId\": \"o_lx3k2a_9f8e7d6c5b4a\",\n  \"at\": 1790000000000\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "iPhone paste handoff (opt-in): claim a one-time handoff token (exact, single use). Docs: https://straitlink.in/docs/api/claim-handoff/"
          }
        },
        {
          "name": "Record an in-app store sheet tap and get what keeps the deep link (POST /v1/store-sheet)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "noauth"
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/store-sheet",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "store-sheet"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"publishableKey\": \"{{publishableKey}}\",\n  \"url\": \"https://hilltop.strait.link/summer\",\n  \"platform\": \"android\"\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Record an in-app store sheet tap and get what keeps the deep link (new). Docs: https://straitlink.in/docs/api/open-store-sheet/"
          }
        },
        {
          "name": "Deferred-match resolution from Android Play Install Referrer (POST /v1/referrer)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "noauth"
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/referrer",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "referrer"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"publishableKey\": \"{{publishableKey}}\",\n  \"linkId\": \"lnk_5f0c2a8e-3b1d-4f6a-9c7e-2d8b1a0e4f63\",\n  \"platform\": \"android\"\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Deferred-match resolution from Android Play Install Referrer (deterministic). Docs: https://straitlink.in/docs/api/resolve-install-referrer/"
          }
        },
        {
          "name": "Turn a short link that opened your app into its destination (POST /v1/resolve)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "noauth"
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/resolve",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "resolve"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"publishableKey\": \"{{publishableKey}}\",\n  \"url\": \"https://hilltop.strait.link/summer\",\n  \"platform\": \"android\",\n  \"openId\": \"o_lx3k2a_9f8e7d6c5b4a\",\n  \"appState\": \"closed\",\n  \"firstLaunch\": false\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Turn a short link that opened your app into its destination. Docs: https://straitlink.in/docs/api/resolve-link/"
          }
        },
        {
          "name": "Where a short link goes, without recording anything (POST /v1/lookup)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "noauth"
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/lookup",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "lookup"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"publishableKey\": \"{{publishableKey}}\",\n  \"url\": \"https://hilltop.strait.link/summer\"\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Where a short link goes, without recording anything (user opted out). Docs: https://straitlink.in/docs/api/lookup-link/"
          }
        },
        {
          "name": "Report that a link opened the app (POST /v1/open)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "noauth"
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/open",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "open"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"publishableKey\": \"{{publishableKey}}\",\n  \"openId\": \"o_lx3k2a_9f8e7d6c5b4a\",\n  \"kind\": \"direct\",\n  \"route\": \"custom_scheme\",\n  \"appState\": \"background\",\n  \"platform\": \"android\",\n  \"url\": \"hilltop://sale/summer\",\n  \"clickId\": \"9a1c7e52-4b3d-4f8e-a6d1-0c2b5e7f9a34\",\n  \"linkId\": \"lnk_5f0c2a8e-3b1d-4f6a-9c7e-2d8b1a0e4f63\",\n  \"matched\": true,\n  \"at\": 1790000000000\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Report that a link opened the app. Docs: https://straitlink.in/docs/api/report-open/"
          }
        },
        {
          "name": "Deferred test mode: claim a test tap (POST /v1/test-mode/match)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "noauth"
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/test-mode/match",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "test-mode",
                "match"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"publishableKey\": \"{{publishableKey}}\",\n  \"deviceId\": \"dbg_3f9a2c7e\",\n  \"platform\": \"android\"\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Deferred test mode: claim a test tap (debug builds). Docs: https://straitlink.in/docs/api/match-test-mode/"
          }
        },
        {
          "name": "Record a conversion / revenue event (POST /v1/event)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "noauth"
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/event",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "event"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"publishableKey\": \"{{publishableKey}}\",\n  \"event\": \"purchase\",\n  \"value\": 499,\n  \"currency\": \"INR\",\n  \"clickId\": \"9a1c7e52-4b3d-4f8e-a6d1-0c2b5e7f9a34\",\n  \"eventId\": \"ord_1001\",\n  \"data\": {\n    \"plan\": \"gold\"\n  },\n  \"linkId\": \"<link id from POST /v1/links>\"\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Record a conversion / revenue event. Docs: https://straitlink.in/docs/api/send-event/"
          }
        }
      ]
    },
    {
      "name": "Public (no key)",
      "item": [
        {
          "name": "Report a malicious link (POST /v1/report)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "noauth"
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/report",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "report"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"url\": \"https://hilltop.strait.link/sale\",\n  \"category\": \"phishing\",\n  \"details\": \"The page asked for my bank OTP.\"\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Report a malicious link (public). Docs: https://straitlink.in/docs/api/report-link/"
          }
        },
        {
          "name": "App Links / Universal Links checker (GET /v1/tools/app-links)",
          "request": {
            "method": "GET",
            "auth": {
              "type": "noauth"
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/tools/app-links?domain=value",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "tools",
                "app-links"
              ],
              "query": [
                {
                  "key": "domain",
                  "value": "value"
                }
              ]
            },
            "description": "App Links / Universal Links checker (public tool). Docs: https://straitlink.in/docs/api/check-app-links/"
          }
        },
        {
          "name": "Is my app link broken? (POST /v1/tools/link-check)",
          "request": {
            "method": "POST",
            "auth": {
              "type": "noauth"
            },
            "header": [
              {
                "key": "Content-Type",
                "value": "application/json"
              }
            ],
            "url": {
              "raw": "{{baseUrl}}/v1/tools/link-check",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "tools",
                "link-check"
              ]
            },
            "body": {
              "mode": "raw",
              "raw": "{\n  \"url\": \"https://hilltop.page.link/summer\"\n}",
              "options": {
                "raw": {
                  "language": "json"
                }
              }
            },
            "description": "Is my app link broken? (public tool). Docs: https://straitlink.in/docs/api/check-link/"
          }
        },
        {
          "name": "Live Tap Trace (GET /v1/trace/{st})",
          "request": {
            "method": "GET",
            "auth": {
              "type": "noauth"
            },
            "header": [],
            "url": {
              "raw": "{{baseUrl}}/v1/trace/:st",
              "host": [
                "{{baseUrl}}"
              ],
              "path": [
                "v1",
                "trace",
                ":st"
              ],
              "variable": [
                {
                  "key": "st",
                  "value": "k3v9x2m7q8w1z5r4t6y0p2s8",
                  "description": "The session token the demo page generated: the `st` value on the demo link it shows"
                }
              ]
            },
            "description": "Live Tap Trace (website demo). Docs: https://straitlink.in/docs/api/get-tap-trace/"
          }
        }
      ]
    }
  ]
}
